#pragma once

#include "DirectX.h"


// VertexBufferNX
class VertexBuffer
{
public:
	VertexBuffer(void);
	~VertexBuffer(void);

	// obt@̐
	bool Create(UINT size, const void* pData = NULL);
	// obt@̉
	void Finalize(void);

	const D3D12_VERTEX_BUFFER_VIEW& GetView() const {
		return m_VertexBufferView;
	}

private:
	ComPtr<ID3D12Resource>		m_pBuffer;
	D3D12_VERTEX_BUFFER_VIEW	m_VertexBufferView;
};

// IndexBufferNX
class IndexBuffer
{
public:
	IndexBuffer(void);
	~IndexBuffer(void);

	// obt@̐
	bool Create(UINT size, const UINT16* pIndeces = NULL);
	// obt@̉
	void Finalize(void);

	const D3D12_INDEX_BUFFER_VIEW& GetView() const {
		return m_IndexBufferView;
	}

private:
	ComPtr<ID3D12Resource>		m_pBuffer;
	D3D12_INDEX_BUFFER_VIEW		m_IndexBufferView;
};
