#pragma once

#include "DirectX.h"



// TextureNX
class Texture
{
public:
	Texture(void);
	~Texture(void);

	// eNX`[̓ǂݍ
	bool Load(const char* pFileName);
	// eNX`[̓ǂݍ
	bool CreateFromMemory(const void* pData, UINT size);
	// eNX`[̉
	void Finalize(void);

	// ̎擾
	UINT GetWidth(void) const { return m_width; }
	// c̎擾
	UINT GetHeight(void) const { return m_height; }
	// 摜̉̎擾
	UINT GetSrcWidth(void) const { return m_srcWidth; }
	// 摜̏c̎擾
	UINT GetSrcHeight(void) const { return m_srcHeight; }
	// D3DeNX`\̎擾
	//IDirect3DTexture9* GetD3DTexture(void) { return m_pTexture; }

private:
	UINT					m_width;		// eNX`[̕
	UINT					m_height;		// eNX`[̍
	UINT					m_srcWidth;		// 摜̕
	UINT					m_srcHeight;	// 摜̍
	ComPtr<ID3D12Resource>	m_pTexture;		// eNX`[̃|C^
};