#pragma once

#include "DirectXLib/SceneManager.h"


// V[x[XNX
class Sample3DScene
	: public SceneBase
{
public:
	Sample3DScene(void);
	~Sample3DScene(void);

	// 
	bool Initialize(void);
	// 
	void Finalize(void);

	// XV
	void Update(void);
	// `
	void Render(void);

	// V[̎擾
	const char* GetName(void) const { return "3DSample"; }

private:
	Model		m_model[5];
	D3DXMATRIX	m_viewMatrix;
	D3DXMATRIX	m_projectionMatrix;
};
