#pragma once

#include "DirectXLib/SceneManager.h"
#include "DirectXLib/FBX/FbxMesh.h"

// V[x[XNX
class FbxTestScene
	: public SceneBase
{
public:
	FbxTestScene(void);
	~FbxTestScene(void);

	// 
	bool Initialize(void);
	// 
	void Finalize(void);

	// XV
	void Update(void);
	// `
	void Render(void);

	// V[̎擾
	const char* GetName(void) const { return "FbxTest"; }

private:
	// Cg̐ݒ
	void SetLight(void);
	// vC[̍XV
	void UpdatePlayer(void);

private:
	FbxModel	m_fbxModel;
	FbxModel	m_player;
	Model		m_shpere;
	D3DXVECTOR3 m_playerPos;
	float		m_playerRadius;
	float		m_playerSpeed;
};
