#pragma once

#include "DirectX.h"

class DirectX12;
// DirectXNX
class GraphicDescriptorHeap
{
public:
	GraphicDescriptorHeap(void);
	~GraphicDescriptorHeap(void);

	bool Initialize(DirectX12* pDirectX);
	void Finalize(void);

	ComPtr<ID3D12DescriptorHeap>& GetHeap() { return m_pHeap; }

private:
	ComPtr<ID3D12DescriptorHeap>	m_pHeap;
	UINT m_DescriptorSize;
};



