#pragma once

#include <windows.h>



// InputNX
class Input
{
public:
	enum EKeyBind
	{
		Option,	// Option
		A,		// A
		B,		// B

		Up,		// 
		Down,	// 
		Left,	// 
		Right,	// 


		KeyBindMax,
	};

public:
	Input(void);
	~Input(void);

	// ̓VXȅ
	void Initialize(void);
	// ̓VXẻ
	void Finalize(void);

	// ͏󋵂̍XV
	void Update(void);

	// L[oCh̐ݒ
	void BindKey(EKeyBind key, int keycode);

	// L[Ă邩H
	bool IsKeyPress(EKeyBind key);
	// L[ꂽH
	bool IsKeyPush(EKeyBind key);
	// L[ꂽH
	bool IsKeyReleases(EKeyBind key);

private:
	struct KeyInfo
	{
		int keyBind[KeyBindMax];
		int keyState;
		int keyStateOld;
	};
	KeyInfo	m_keyState;
};



