#pragma once

#include "DirectXLib/SceneManager.h"


// V[x[XNX
class Test3DScene
	: public SceneBase
{
public:
	Test3DScene(void);
	~Test3DScene(void);

	// 
	bool Initialize(void);
	// 
	void Finalize(void);

	// XV
	void Update(void);
	// `
	void Render(void);

	// V[̎擾
	const char* GetName(void) const { return "3DTest"; }

private:
	Texture			m_texture;
	VertexBuffer	m_vertexBuffer;
	D3DXMATRIX		m_viewMatrix;
	D3DXMATRIX		m_projectionMatrix;
	D3DXMATRIX		m_worldMatrix;
};
