#include "DirectXLib/DirectXLib.h"
#include "SpriteTestScene.h"
#include "SystemScene.h"




SpriteTestScene::SpriteTestScene(void)
{
}
SpriteTestScene::~SpriteTestScene(void)
{
}

// 
bool SpriteTestScene::Initialize(void)
{
	// assetstH_bridge.pngeNX`[Ƃēǂݍ
	if( !m_sprite.Create("assets/bridge.png") )
	{
		return false;
	}
	SimpleWindow* pWindow = DirectXLib::Instance.GetWindow();
	m_sprite.SetPos((float)(pWindow->GetWidth() / 2), (float)(pWindow->GetHeight() / 2));
	m_sprite.SetOrigin(m_sprite.GetWidth() / 2, m_sprite.GetHeight() / 2);

	return true;
}

// 
void SpriteTestScene::Finalize(void)
{
	m_sprite.Finalize();
}

// XV
void SpriteTestScene::Update(void)
{
	//m_sprite.SetRotation(m_sprite.GetRotation() + D3DXToRadian(1.0f));

	if( INPUT->IsKeyPush(Input::A) )
	{
		SCENEMANAGER->JumpScene(new SystemScene);
	}
}

// `
void SpriteTestScene::Render(void)
{
	DirectX12* pDirectX = DirectXLib::Instance.GetDirectX();

	// ʏ폑݃[hɐݒ
	pDirectX->SetRenderMode(DirectX12::Normal, false);

	m_sprite.Render();
}
