#pragma once

#include "DirectXLib/SceneManager.h"



// V[x[XNX
class SystemScene
	: public SceneBase
{
public:
	SystemScene(void);
	~SystemScene(void);

	// 
	bool Initialize(void);
	// 
	void Finalize(void);

	// XV
	void Update(void);
	// `
	void Render(void);

	// V[̎擾
	const char* GetName(void) const { return "System"; }

private:
	Texture			m_texData;
	VertexBuffer	m_vertexBuffer;
#if defined(_DEBUG)
	int				m_selectScene;
	int				m_sceneNum;
	SceneBase**		m_ppSceneList;
#endif
};
